package com.ruoyi.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 服务订单对象 order
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public class Order extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 1:服务项目 2：商品 */
    @Excel(name = "1:服务项目 2：商品")
    private Integer type;

    /** 主订单号 */
    @Excel(name = "主订单号")
    private String mainOrderId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderId;

    /** 微信支付单号 */
    @Excel(name = "微信支付单号")
    private String transactionId;

    /** 1：用户自主下单，2：后台下单 */
    @Excel(name = "1：用户自主下单，2：后台下单")
    private Integer createType;

    /** 后台下单用户手机号 */
    @Excel(name = "后台下单用户手机号")
    private String createPhone;

    /** 用户 */
    @Excel(name = "用户")
    private Long uid;

    /** 用户 */
    @Excel(name = "用户名称")
    private String uname;

    /** 商品 */
    @Excel(name = "商品")
    private Long productId;

    /** 商品 */
    @Excel(name = "商品名称")
    private String productName;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 电话 */
    @Excel(name = "电话")
    private String phone;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 预约时间-天 */
    @Excel(name = "预约时间-天")
    private Long makeTime;

    /** 预约时间-小时 */
    @Excel(name = "预约时间-小时")
    private String makeHour;

    /** 数量 */
    @Excel(name = "数量")
    private Long num;

    /** 总价 */
    @Excel(name = "总价")
    private BigDecimal totalPrice;

    /** 商品金额 */
    @Excel(name = "商品金额")
    private BigDecimal goodPrice;

    /** 服务金额 */
    @Excel(name = "服务金额")
    private BigDecimal servicePrice;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal payPrice;

    /** 优惠券ID */
    @Excel(name = "优惠券ID")
    private Long couponId;

    /** 抵扣金额 */
    @Excel(name = "抵扣金额")
    private BigDecimal deduction;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date payTime;

    /** 订单状态  1:待接单  2：待服务，3：服务中，4：已结束 5：已取消  6:师傅完成服务 7：未服务提前结束订单 */
    @Excel(name = "订单状态  1:待接单  2：待服务，3：服务中，4：已结束 5：已取消  6:师傅完成服务 7：未服务提前结束订单")
    private Long status;

    /** 1：开始服务 2：暂停服务 */
    @Excel(name = "1：开始服务 2：暂停服务")
    private Integer isPause;

    /** 备注 */
    @Excel(name = "备注")
    private String mark;

    /** 关联地址 */
    @Excel(name = "关联地址")
    private Long addressId;

    /** 多规格产品 */
    @Excel(name = "多规格产品")
    private String sku;

    /** 师傅ID */
    @Excel(name = "师傅ID")
    private Long workerId;

    /** 转单之后，第一次接单的师傅 */
    @Excel(name = "转单之后，第一次接单的师傅")
    private Long firstWorkerId;

    /** 接单时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "接单时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date receiveTime;

    /** 1:已评价 0：未评价 */
    @Excel(name = "1:已评价 0：未评价")
    private Integer isComment;

    /** 1：自由抢单 ，2：系统派单 ，3：平台派单 */
    @Excel(name = "1：自由抢单 ，2：系统派单 ，3：平台派单")
    private Long receiveType;

    /** 1：已经接单 */
    @Excel(name = "1：已经接单")
    private Integer isAccept;

    /** 中间虚拟号 */
    @Excel(name = "中间虚拟号")
    private String middlePhone;

    /** 用户手机号 */
    @Excel(name = "用户手机号")
    private String userPhone;

    /** 师傅手机号 */
    @Excel(name = "师傅手机号")
    private String workerPhone;

    //-------------------------------------------非数据库字段--------------------------------------------------
    /** 接单记录 */
    @Excel(name = "接单记录")
    private int jdjl;

    /** 通话记录 */
    @Excel(name = "通话记录")
    private int thjl;

    /** 录音文件 */
    @Excel(name = "录音文件")
    private int lywj;

    /** 通知记录 */
    @Excel(name = "通知记录")
    private int tzjl;

    /** 通知记录 */
    @Excel(name = "服务评价")
    private int fwpj;


    private  BigDecimal totalPriceMin;
    private  BigDecimal totalPriceMax;
    private  BigDecimal payPriceMin;
    private  BigDecimal payPriceMax;
    private   String paystartdate;
    private   String payenddate;
    private   String  startdate;
    private   String  enddate;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String addressEn;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String uidAdmin;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String addressAdmin;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Integer logStatus;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String logJson;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Integer jsonStatus;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String logImages;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date createdAt;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date updatedAt;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date deletedAt;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setType(Integer type) 
    {
        this.type = type;
    }

    public Integer getType() 
    {
        return type;
    }

    public void setMainOrderId(String mainOrderId) 
    {
        this.mainOrderId = mainOrderId;
    }

    public String getMainOrderId() 
    {
        return mainOrderId;
    }

    public void setOrderId(String orderId) 
    {
        this.orderId = orderId;
    }

    public String getOrderId() 
    {
        return orderId;
    }

    public void setTransactionId(String transactionId) 
    {
        this.transactionId = transactionId;
    }

    public String getTransactionId() 
    {
        return transactionId;
    }

    public void setCreateType(Integer createType) 
    {
        this.createType = createType;
    }

    public Integer getCreateType() 
    {
        return createType;
    }

    public void setCreatePhone(String createPhone) 
    {
        this.createPhone = createPhone;
    }

    public String getCreatePhone() 
    {
        return createPhone;
    }

    public void setUid(Long uid) 
    {
        this.uid = uid;
    }

    public Long getUid() 
    {
        return uid;
    }

    public void setProductId(Long productId) 
    {
        this.productId = productId;
    }

    public Long getProductId() 
    {
        return productId;
    }

    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }

    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }

    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }

    public void setMakeTime(Long makeTime) 
    {
        this.makeTime = makeTime;
    }

    public Long getMakeTime() 
    {
        return makeTime;
    }

    public void setMakeHour(String makeHour) 
    {
        this.makeHour = makeHour;
    }

    public String getMakeHour() 
    {
        return makeHour;
    }

    public void setNum(Long num) 
    {
        this.num = num;
    }

    public Long getNum() 
    {
        return num;
    }

    public void setTotalPrice(BigDecimal totalPrice) 
    {
        this.totalPrice = totalPrice;
    }

    public BigDecimal getTotalPrice() 
    {
        return totalPrice;
    }

    public void setGoodPrice(BigDecimal goodPrice) 
    {
        this.goodPrice = goodPrice;
    }

    public BigDecimal getGoodPrice() 
    {
        return goodPrice;
    }

    public void setServicePrice(BigDecimal servicePrice) 
    {
        this.servicePrice = servicePrice;
    }

    public BigDecimal getServicePrice() 
    {
        return servicePrice;
    }

    public void setPayPrice(BigDecimal payPrice) 
    {
        this.payPrice = payPrice;
    }

    public BigDecimal getPayPrice() 
    {
        return payPrice;
    }

    public void setCouponId(Long couponId) 
    {
        this.couponId = couponId;
    }

    public Long getCouponId() 
    {
        return couponId;
    }

    public void setDeduction(BigDecimal deduction) 
    {
        this.deduction = deduction;
    }

    public BigDecimal getDeduction() 
    {
        return deduction;
    }

    public void setPayTime(Date payTime) 
    {
        this.payTime = payTime;
    }

    public Date getPayTime() 
    {
        return payTime;
    }

    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }

    public void setIsPause(Integer isPause) 
    {
        this.isPause = isPause;
    }

    public Integer getIsPause() 
    {
        return isPause;
    }

    public void setMark(String mark) 
    {
        this.mark = mark;
    }

    public String getMark() 
    {
        return mark;
    }

    public void setAddressId(Long addressId) 
    {
        this.addressId = addressId;
    }

    public Long getAddressId() 
    {
        return addressId;
    }

    public void setSku(String sku) 
    {
        this.sku = sku;
    }

    public String getSku() 
    {
        return sku;
    }

    public void setWorkerId(Long workerId) 
    {
        this.workerId = workerId;
    }

    public Long getWorkerId() 
    {
        return workerId;
    }

    public void setFirstWorkerId(Long firstWorkerId) 
    {
        this.firstWorkerId = firstWorkerId;
    }

    public Long getFirstWorkerId() 
    {
        return firstWorkerId;
    }

    public void setReceiveTime(Date receiveTime) 
    {
        this.receiveTime = receiveTime;
    }

    public Date getReceiveTime() 
    {
        return receiveTime;
    }

    public void setIsComment(Integer isComment) 
    {
        this.isComment = isComment;
    }

    public Integer getIsComment() 
    {
        return isComment;
    }

    public void setReceiveType(Long receiveType) 
    {
        this.receiveType = receiveType;
    }

    public Long getReceiveType() 
    {
        return receiveType;
    }

    public void setIsAccept(Integer isAccept) 
    {
        this.isAccept = isAccept;
    }

    public Integer getIsAccept() 
    {
        return isAccept;
    }

    public void setMiddlePhone(String middlePhone) 
    {
        this.middlePhone = middlePhone;
    }

    public String getMiddlePhone() 
    {
        return middlePhone;
    }

    public void setUserPhone(String userPhone) 
    {
        this.userPhone = userPhone;
    }

    public String getUserPhone() 
    {
        return userPhone;
    }

    public void setWorkerPhone(String workerPhone) 
    {
        this.workerPhone = workerPhone;
    }

    public String getWorkerPhone() 
    {
        return workerPhone;
    }

    public void setAddressEn(String addressEn) 
    {
        this.addressEn = addressEn;
    }

    public String getAddressEn() 
    {
        return addressEn;
    }

    public void setUidAdmin(String uidAdmin) 
    {
        this.uidAdmin = uidAdmin;
    }

    public String getUidAdmin() 
    {
        return uidAdmin;
    }

    public void setAddressAdmin(String addressAdmin) 
    {
        this.addressAdmin = addressAdmin;
    }

    public String getAddressAdmin() 
    {
        return addressAdmin;
    }

    public void setLogStatus(Integer logStatus) 
    {
        this.logStatus = logStatus;
    }

    public Integer getLogStatus() 
    {
        return logStatus;
    }

    public void setLogJson(String logJson) 
    {
        this.logJson = logJson;
    }

    public String getLogJson() 
    {
        return logJson;
    }

    public void setJsonStatus(Integer jsonStatus) 
    {
        this.jsonStatus = jsonStatus;
    }

    public Integer getJsonStatus() 
    {
        return jsonStatus;
    }

    public void setLogImages(String logImages) 
    {
        this.logImages = logImages;
    }

    public String getLogImages() 
    {
        return logImages;
    }

    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }

    public void setUpdatedAt(Date updatedAt) 
    {
        this.updatedAt = updatedAt;
    }

    public Date getUpdatedAt() 
    {
        return updatedAt;
    }

    public void setDeletedAt(Date deletedAt) 
    {
        this.deletedAt = deletedAt;
    }

    public Date getDeletedAt() 
    {
        return deletedAt;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getUname() {
        return uname;
    }

    public void setUname(String uname) {
        this.uname = uname;
    }


    public int getTzjl() {
        return tzjl;
    }

    public void setTzjl(int tzjl) {
        this.tzjl = tzjl;
    }

    public int getLywj() {
        return lywj;
    }

    public void setLywj(int lywj) {
        this.lywj = lywj;
    }

    public int getThjl() {
        return thjl;
    }

    public void setThjl(int thjl) {
        this.thjl = thjl;
    }

    public int getJdjl() {
        return jdjl;
    }

    public void setJdjl(int jdjl) {
        this.jdjl = jdjl;
    }

    public int getFwpj() {
        return fwpj;
    }

    public void setFwpj(int fwpj) {
        this.fwpj = fwpj;
    }

    public BigDecimal getPayPriceMax() {
        return payPriceMax;
    }

    public void setPayPriceMax(BigDecimal payPriceMax) {
        this.payPriceMax = payPriceMax;
    }

    public BigDecimal getPayPriceMin() {
        return payPriceMin;
    }

    public void setPayPriceMin(BigDecimal payPriceMin) {
        this.payPriceMin = payPriceMin;
    }

    public BigDecimal getTotalPriceMax() {
        return totalPriceMax;
    }

    public void setTotalPriceMax(BigDecimal totalPriceMax) {
        this.totalPriceMax = totalPriceMax;
    }

    public BigDecimal getTotalPriceMin() {
        return totalPriceMin;
    }

    public void setTotalPriceMin(BigDecimal totalPriceMin) {
        this.totalPriceMin = totalPriceMin;
    }

    public String getEnddate() {
        return enddate;
    }

    public void setEnddate(String enddate) {
        this.enddate = enddate;
    }

    public String getStartdate() {
        return startdate;
    }

    public void setStartdate(String startdate) {
        this.startdate = startdate;
    }

    public String getPayenddate() {
        return payenddate;
    }

    public void setPayenddate(String payenddate) {
        this.payenddate = payenddate;
    }

    public String getPaystartdate() {
        return paystartdate;
    }

    public void setPaystartdate(String paystartdate) {
        this.paystartdate = paystartdate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("mainOrderId", getMainOrderId())
            .append("orderId", getOrderId())
            .append("transactionId", getTransactionId())
            .append("createType", getCreateType())
            .append("createPhone", getCreatePhone())
            .append("uid", getUid())
            .append("productId", getProductId())
            .append("name", getName())
            .append("phone", getPhone())
            .append("address", getAddress())
            .append("makeTime", getMakeTime())
            .append("makeHour", getMakeHour())
            .append("num", getNum())
            .append("totalPrice", getTotalPrice())
            .append("goodPrice", getGoodPrice())
            .append("servicePrice", getServicePrice())
            .append("payPrice", getPayPrice())
            .append("couponId", getCouponId())
            .append("deduction", getDeduction())
            .append("payTime", getPayTime())
            .append("status", getStatus())
            .append("isPause", getIsPause())
            .append("mark", getMark())
            .append("addressId", getAddressId())
            .append("sku", getSku())
            .append("workerId", getWorkerId())
            .append("firstWorkerId", getFirstWorkerId())
            .append("receiveTime", getReceiveTime())
            .append("isComment", getIsComment())
            .append("receiveType", getReceiveType())
            .append("isAccept", getIsAccept())
            .append("middlePhone", getMiddlePhone())
            .append("userPhone", getUserPhone())
            .append("workerPhone", getWorkerPhone())
            .append("addressEn", getAddressEn())
            .append("uidAdmin", getUidAdmin())
            .append("addressAdmin", getAddressAdmin())
            .append("logStatus", getLogStatus())
            .append("logJson", getLogJson())
            .append("jsonStatus", getJsonStatus())
            .append("logImages", getLogImages())
            .append("createdAt", getCreatedAt())
            .append("updatedAt", getUpdatedAt())
            .append("deletedAt", getDeletedAt())
            .toString();
    }
}
